- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

# JParticleSystem Class Reference

`#include <JParticleSystem.h>`

List of all members.

## Public Member Functions
| JParticleSystem ()
void | Update (float dt)
void | Render ()
void | StartEffect (JParticleEffect *effect)
void | StopAllEffects ()
void | ClearAll ()
bool | IsActive ()
void | SetActive (bool flag)

## Detailed Description

The particle system of JGE++ is built on a key frame concept with multiple emitters for each effect. It's inspired by the particle system of Torque Game Builder. At each key frame, you can specify the value of the changeable states of the particle. This gives you lots of control over the particles and making it possible to create almost all of the spectacular effects out of your imagination.

## Constructor & Destructor Documentation

JParticleSystem::JParticleSystem | ( |  | ) |

Constructor.

## Member Function Documentation

void JParticleSystem::Update | ( | float | dt | ) |

Update all active effects.

Parameters:

  | dt | - Delta time since last update (in second).

void JParticleSystem::Render | ( |  | ) |

Render all active effects.

void JParticleSystem::StartEffect | ( | JParticleEffect * | effect | ) |

Start an effect.

Parameters:

  | effect | - Effect to start playing.

void JParticleSystem::StopAllEffects | ( |  | ) |

Stop all effects.

void JParticleSystem::ClearAll | ( |  | ) |

Delete all effects from memory.

bool JParticleSystem::IsActive | ( |  | ) |

Check if the particle system is active or not.

Returns:
  True if active.

void JParticleSystem::SetActive | ( | bool | flag | ) |

Set active flag.

Parameters:

  | flag | - Active flag.